Index: src/Fl_Light_Button.cxx
===================================================================
--- src/Fl_Light_Button.cxx	(revision 10586)
+++ src/Fl_Light_Button.cxx	(working copy)
@@ -49,7 +49,7 @@
       case _FL_PLASTIC_DOWN_BOX :
       case _FL_PLASTIC_UP_BOX :
         // Check box...
-        draw_box(down_box(), x()+dx, y()+dy, W, W, FL_BACKGROUND2_COLOR);
+        draw_box(down_box(), x()+dx, y()+dy, W, W, active_r() ? FL_BACKGROUND2_COLOR : fl_inactive(FL_BACKGROUND2_COLOR));
 	if (value()) {
 	  if (Fl::is_scheme("gtk+")) {
 	    fl_color(FL_SELECTION_COLOR);
@@ -70,7 +70,7 @@
       case _FL_ROUND_DOWN_BOX :
       case _FL_ROUND_UP_BOX :
         // Radio button...
-        draw_box(down_box(), x()+dx, y()+dy, W, W, FL_BACKGROUND2_COLOR);
+        draw_box(down_box(), x()+dx, y()+dy, W, W, active_r() ? FL_BACKGROUND2_COLOR : fl_inactive(FL_BACKGROUND2_COLOR));
 	if (value()) {
 	  int tW = (W - Fl::box_dw(down_box())) / 2 + 1;
 	  if ((W - tW) & 1) tW++; // Make sure difference is even to center
@@ -162,7 +162,7 @@
 
 
 Fl_Radio_Light_Button::Fl_Radio_Light_Button(int X,int Y,int W,int H,const char *l)
-: Fl_Light_Button(X,Y,W,H,l) 
+: Fl_Light_Button(X,Y,W,H,l)
 {
   type(FL_RADIO_BUTTON);
 }
